package com.wd.workoffice.ui.activity.bat.work;

import android.text.TextUtils;
import android.widget.Button;
import android.widget.TextView;

import com.alibaba.fastjson.JSON;
import com.wd.workoffice.R;
import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.app.WorkToolBarActivity;
import com.wd.workoffice.bean.ClientBean;
import com.wd.workoffice.bean.ProDetail;
import com.wd.workoffice.bean.ProductBean;
import com.wd.workoffice.retrofit.RtfUtils;
import com.wd.workoffice.retrofit.WorkObserver;

import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import flexible.xd.android_base.network.rtfhttp.Transformer;
import io.reactivex.disposables.Disposable;

/**
 * 工作台 - 产品 - 详情
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class WorkProDetailActivity extends WorkToolBarActivity {

    @BindView(R.id.tv_card)
    TextView tvCard;
    @BindView(R.id.tv_img_card)
    TextView tvImgCard;
    @BindView(R.id.tv_name)
    TextView tvName;
    @BindView(R.id.tv_spec)
    TextView tvSpec;
    @BindView(R.id.tv_clazz)
    TextView tvClazz;
    @BindView(R.id.tv_kind)
    TextView tvKind;
    @BindView(R.id.tv_unit)
    TextView tvUnit;
    @BindView(R.id.tv_weight)
    TextView tvWeight;
    @BindView(R.id.btn_price)
    Button btnPrice;
    @BindView(R.id.tv_price)
    TextView tvPrice;
    @BindView(R.id.tv_status)
    TextView tvStatus;
    @BindView(R.id.tv_process)
    TextView tvProcess;
    @BindView(R.id.tv_dep)
    TextView tvDep;
    @BindView(R.id.tv_dep_name)
    TextView tvDepName;
    @BindView(R.id.tv_dep_type)
    TextView tvDepType;
    @BindView(R.id.tv_dep_address)
    TextView tvDepAddress;
    @BindView(R.id.tv_dep_price)
    TextView tvDepPrice;
    @BindView(R.id.tv_dep_person)
    TextView tvDepPerson;
    @BindView(R.id.tv_dep_person_phone)
    TextView tvDepPersonPhone;
    @BindView(R.id.tv_dep_person_dep)
    TextView tvDepPersonDep;
    private ProductBean.RecordsBean proBean;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
    }

    @Override
    protected void initData() {
        String pro = getIntent().getStringExtra("pro");
        if (!TextUtils.isEmpty(pro)) {
            proBean = JSON.parseObject(pro, ProductBean.RecordsBean.class);
            getData(proBean.getId());
            tvCard.setText(proBean.getSoleCode());
//            tvImgCard.setText(proBean.get());
            tvName.setText(proBean.getName());
            tvSpec.setText(proBean.getSpec());
            tvClazz.setText(proBean.getProcessType());
            tvKind.setText(proBean.getTransitPartTypeCode());
            tvUnit.setText(proBean.getUnit());
            tvWeight.setText(String.valueOf(proBean.getWeight()));
            tvPrice.setText(String.valueOf(proBean.getInternalPrice()));
            tvStatus.setText(proBean.getStatusName());

        }
    }

    private void getData(Integer id) {
        RtfUtils.getRtf().getProDetail(id).compose(Transformer.schedule()).subscribe(new WorkObserver<ProDetail>() {
            @Override
            public void doOnSubscribe(Disposable d) {
            }

            @Override
            public void onFail(String errorMsg) {
                hideLoading();
                toast(errorMsg);
            }

            @Override
            public void onSuccess(ProDetail data) {
                hideLoading();
                if (data.getCode() != 0) {
                    toast(data.getMessage());
                    return;
                }
//                ProDetail.DataBean.ProductInfoBean productInfo = data.getData().getProductInfo();
//                tvDep.setText(productInfo.getdep());
//                tvDepName.setText(productInfo.getName());
//                tvDepType.setText("类别："+productInfo.getTransitPartTypeCode());
//                tvDepType.setText("地址："+productInfo.get;
//                tvDepType.setText(""+productInfo.getName());
//                tvDepName.setText(productInfo.getName());
//        transitPartRelList 往来单位关联
//     *      partTypeCode： SUPPLIER-供应商 CUSTOMER-客户 TRANSPORTERS-运输商
//     *      name：往来单位名称
//     *      address：往来单位地址
//     *      accountName：负责人
//     *      deptName：负责部门
//     *  outDeptRelList 上架情况
//     *      createdTime：上架时间
//     *      deptName：上架部门
//     *      outByUserName：上架操作人
            }
        });
    }

    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_work_pro_details;
    }


    @OnClick(R.id.btn_price)
    public void onViewClicked() {
        startActivity(WorkProPriceActivity.class, "id", proBean.getId()+"");
    }
}
